matrix:
  bazel:
  - 7.x
  - 8.x
  - 9.x
tasks:
  verify_targets_debian10:
    name: Verify build targets (Debian 10)
    platform: debian10
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@bazel-diff//:bazel-diff'
  verify_targets_ubuntu2004:
    name: Verify build targets (Ubuntu 20.04)
    platform: ubuntu2004
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@bazel-diff//:bazel-diff'
  verify_targets_macos_arm64:
    name: Verify build targets (macOS ARM64)
    platform: macos_arm64
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@bazel-diff//:bazel-diff'
  verify_targets_windows_8x:
    name: Verify build targets (Windows, Bazel 8.x)
    platform: windows
    bazel: "8.x"
    build_flags:
    - '--legacy_external_runfiles'
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@bazel-diff//:bazel-diff'
  verify_targets_windows_9x:
    name: Verify build targets (Windows, Bazel 9.x)
    platform: windows
    bazel: "9.x"
    build_flags:
    - '--legacy_external_runfiles'
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@bazel-diff//:bazel-diff'
bcr_test_module:
  module_path: ""
  matrix:
    platform:
    - ubuntu2004
    - macos_arm64
    bazel:
    - 8.x
    - 9.x
  tasks:
    run_tests:
      name: Run test
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
      - '--cxxopt=-std=c++17'
      - '--host_cxxopt=-std=c++17'
      test_targets:
      - '//cli/...'